Subject: RE: [Hipsec] WGLC draft-ietf-hip-dns-03.txt

From: "Ahrenholz, Jeffrey M" <[email-masked]>
Date: Sat, 5 Nov 2005 10:17:18 -0800

After reading this draft, I have two questions:

1. Why store the HIT plus the entire Host Identity in DNS?
For a base exchange, it would be sufficient to just retrieve the HIT,
because you need to verify the HI received from your peer anyway. With
large key sizes this seems like a waste of space in the DNS server. This
draft says you MUST calculate the HIT from the received HI, this seems
redundant with the calculation performed during the base exchange.

The only reason I can think of is for middlebox verification of
signatures. Maybe that requirement shouldn't imply that I need to do
extra processing of the DNS HI if I really only want the HIT to perform
a base exchange.

2. Why is there a separate HIT length in the RDATA format, but in the
examples the HIT length field is implicitly known? (is HIT length
needed?)

-Jeff

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: Tuesday, October 18, 2005 4:42 AM
> To: HIP
> Cc: Pekka Nikander; Julien Laganier
> Subject: [Hipsec] WGLC draft-ietf-hip-dns-03.txt
> 
> 
> Folks,
> 
> we would like to working group last call the following draft. This 
> working group last call will end on November 6th.
> 
> http://www.ietf.org/internet-drafts/draft-ietf-hip-dns-03.txt
> 
> Send your comments to this list.
> 
> Thanks,
> 
> Gonzalo
> HIP co-chair
> 
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/hipsec
> 

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec

---

From: Julien Laganier <[email-masked]>
Date: Mon, 7 Nov 2005 19:37:36 +0100

Hi Jeff,

On Saturday 05 November 2005 19:17, Ahrenholz, Jeffrey M wrote:
> For a base exchange, it would be sufficient to just retrieve the
> HIT, because you need to verify the HI received from your peer
> anyway. With large key sizes this seems like a waste of space in
> the DNS server.

Well, the HI and HIT have different security properties. If you only 
store the HIT in the DNS then you have in effect a leveling of 
different key strengths (e.g. 4096 vs 2048 bits) to the strength 
provided by the 128 bits long HIT. 

So while it is true that knowledge of the HIT is sufficient to run the 
base exchange, in some situation you also want to retrieve the whole 
HI from a trusted third party (the DNS in that case), and not just a 
representation of it (the HIT). 

> This draft says you MUST calculate the HIT from the 
> received HI, this seems redundant with the calculation performed
> during the base exchange.

Actually the draft refers to the same calculation performed in the 
base exchange. Perhaps the corresponding text should be removed...

> signatures. Maybe that requirement shouldn't imply that I need to
> do extra processing of the DNS HI if I really only want the HIT to
> perform a base exchange.
>
> 2. Why is there a separate HIT length in the RDATA format, but in
> the examples the HIT length field is implicitly known? (is HIT
> length needed?)

The HIT length is needed to allow to store longer HITs in the RR. That 
might be required in the future for security reasons. And the length 
is not present in the examples because it is implicit in the 
presentation format (as opposed to what goes on the wire): you just 
need to count characters.

Does the above answer your questions?

--julien